%global luaminver 5.2

#global commit 76d7c992a22d4481969a977ad36d6d35d3b2ca6f
#global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           lua-term
Version:        0.07
Release:        1
Summary:        Terminal functions for Lua

License:        MIT
URL:            https://github.com/hoelzro/%{name}
Source0:        https://github.com/hoelzro/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  lua-devel >= %{luaminver}
Requires:       lua(abi) >= %{luaminver}


%description
Lua module for manipulating a terminal.


%prep
# Lua is no longer installed by default. Grab Lua version for use in
# determining install locations.
%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))")}
# for compiled modules
%global lualibdir %{_libdir}/lua/%{luaver}
# for arch-independent modules
%global luapkgdir %{_datadir}/lua/%{luaver}

%setup -q


%build
%{__cc} %{optflags} -fPIC -c core.c -o core.o
%{__cc} %{__global_ldflags} -shared -o core.so core.o
chmod 755 core.so


%install
mkdir -p %{buildroot}%{luapkgdir}
cp -rp term  %{buildroot}%{luapkgdir}/
mkdir -p %{buildroot}%{lualibdir}/term
cp -p core.so %{buildroot}%{lualibdir}/term/


%files
%license COPYING
%doc CHANGES README.md
%{lualibdir}/term/
%{luapkgdir}/term/


%changelog
* Fri Oct 23 2020 wangxiao <wangxiao65@huawei.com> - 0.07-1
- package init.
